Get media comments
GET /ig/media/comments/{pk}
Comments of a media. Upstream: media/{pk}/comments/?can_support_threading=true.
Request
| Parameter | In | Required | Description |
|---|---|---|---|
pk | path | yes | Numeric media id |
count | query | no | Page size, 1-50 (default 12) |
max_id | query | no | Cursor from next_max_id |
Response
{
"caption": {"pk": 123, "text": "...", "created_at": 1791479430, "user": {}},
"comments": [
{"pk": 18106304318363310, "text": "...", "created_at": 1791479430,
"user": {}, "comment_like_count": 3, "child_comment_count": 1,
"preview_child_comments": []}
],
"comment_count": 14923,
"next_max_id": "...",
"status": "ok"
}
note
The full list of comment likers is closed server-side — only comment_like_count is available.